# SingleListener

interface SingleListener<T : Event> : Listener
Content copied to clipboard

This class represents a Listener with only one event to listen to.

## Functions

equals
Link copied to clipboard
open operator fun equals(other: Any?): Boolean
Content copied to clipboard
hashCode
Link copied to clipboard
open fun hashCode(): Int
Content copied to clipboard
onEvent
Link copied to clipboard
abstract fun onEvent(event: T)
Content copied to clipboard
toString
Link copied to clipboard
open fun toString(): String
Content copied to clipboard

## Extensions

register
Link copied to clipboard
inline fun <T : Event> SingleListener<T>.register(priority: EventPriority = EventPriority.NORMAL, ignoreCancelled: Boolean = false)
Content copied to clipboard
Registers the SingleListener with its event listener.